Subject: Re: How Does Roundup Work?

From: Bob Klebba <[email-masked]>
Date: Mon, 11 Jul 1994 18:06:23 GMT

In article <[email-masked]> Rick,
[email-masked] writes:
> I don't use any chemical fertilizers, and use very little
> Roundup.  I use low-till methods for production and weed
control.  I
> must use some Roundup due to the damn persistent
bindweed growing
> everywhere.  Unless, of course, Mr. Crass wants to
volunteer his time
> hand-weeding my crops...

Glyphosate is a great chemical.  I used to be an organic
gardener until I started using Roundup.  I regret to say
that native plant restoration is very difficult without
chemicals.   I've used a couple gallons of Roundup to
reestablish a prairie.  Other exotic killing options
available included repeated tilling or solarizing, but the
pollution to the atmosphere from a tractor or rototiller
would have been significant and the plastic involved would
have impressed Christo.  Given the choice between a gallon
of gasoline and a gallon of Roundup, the choice is pretty
clear.  People seem to forget how dangerous and toxic yet
acceptable some of the chemicals we use everyday are.

Robert Klebba  USDA zone 4
Nicolet Instrument Corp.
Madison, WI, USA
"Submit to Barney"